### Enumeration

# Gtk PrintError

#### Declaration

    error-domain Gtk.PrintError

#### Description [src]

Error codes that identify various errors that can occur while using the GTK printing support.

#### Members

`GTK_PRINT_ERROR_GENERAL`

  An unspecified error occurred.

  - Value: `0`
  - Available since: 4.0
`GTK_PRINT_ERROR_INTERNAL_ERROR`

  An internal error occurred.

  - Value: `1`
  - Available since: 4.0
`GTK_PRINT_ERROR_NOMEM`

  A memory allocation failed.

  - Value: `2`
  - Available since: 4.0
`GTK_PRINT_ERROR_INVALID_FILE`

  An error occurred while loading a page setup or paper size from a key file.

  - Value: `3`
  - Available since: 4.0

#### Type functions

###### gtk_print_error_quark

Registers an error quark for `GtkPrintOperation` if necessary.